Collect
/- Execute Batch Operations
Returns the default payment template
Returns the default payment template
Initiates workflow to warm up inventory transactions
Processes a payment
Returns a list of records with the specified batch_id
Returns a list of records with the specified contact_id
Emails an HTML version of the payment
Returns a list of records with the specified order_id
Returns a list of records with the specified organization_id
Returns a list of records with the specified owner
Gets all of the payments in the system for a given contact.
Returns a payment from the system by its ID for a given contact.
Gets all of the payments in the system for a given organization.
Returns a payment from the system by its ID for a given organization.
Sends out a preview of the CRC notification email
Sends out a preview of the notification template
Generates a PDF and returns the public link for download
Processes a public payment
Processes a public payment
Generates a PDF and returns the public link for download
Searches for payments using predefined parameters
This is a synchronous processing and should be used exclusively. The old way (via step function) is deprecated.
Returns a payment from the system by its ID.
Returns a payment from the system by its ID.
Partially updates a payment with the specified ID.
Updates a payment with the specified ID.
Initiates a payment reversal
Initiates a payment reversal
Initiates a payment void
Initiates a payment void
Execute Batch Operations
TAllows you to perform up to 100 parallel patch/delete operations
Security
knox-authorizer
- Mock serverhttps://docs.api.rhythmsoftware.com/_mock/apis/collect/collect-v1/payments/{tenantId}/batch
- https://collect.api.rhythmsoftware.comhttps://collect.api.rhythmsoftware.com/payments/{tenantId}/batch
curl -i -X POST \
'https://docs.api.rhythmsoftware.com/_mock/apis/collect/collect-v1/payments/{tenantId}/batch' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"operations": [
{
"id": "string",
"object": {},
"operation": "create",
"patch_directives": [
{
"op": "add",
"path": "string",
"value": "string"
}
]
}
]
}'Response
{ "error_count": 0.1, "results": [ { … } ], "success_count": 0.1 }